Subject: Re: Draft-rtgyangdt-rtgwg-routing-types

From: "Acee Lindem (acee)" <[email-masked]>
Date: Tue, 6 Dec 2016 20:09:27 +0000

Hi Robert,

Apologies for not getting back sooner but your E-mail elicited some discussions.

From: <[email-masked]<mailto:[email-masked]>> on behalf of Robert Raszuk <[email-masked]<mailto:[email-masked]>>
Date: Saturday, November 19, 2016 at 6:34 AM
To: Acee Lindem <[email-masked]<mailto:[email-masked]>>
Cc: Routing WG <[email-masked]<mailto:[email-masked]>>
Subject: Re: Draft-rtgyangdt-rtgwg-routing-types

Hi Acee,

SOO has similar format to RT however RT is defined only partially. There is existing extension to RFC4360 in the form of RFC5668 which defines new structure of both RT and SOO (Route Origin).

ietf-bgp-types defined in https://www.ietf.org/id/draft-ietf-idr-bgp-model-02.txt contains a complete extended community definition and this is already a separate model containing only types. Since only route-targets are defined across the BESS YANG models, we are only going to include route-targets and route-discriminators here. The EVPN YANG model includes an extended community (defined just as a string) but I’m not sure it shouldn’t use a route target.

As far as RFC 5668, our definition accommodates this format with a 4-octet AS and 2-octect action for a route target.

Also I think there important this draft needs to define type for VRF as VRF as such is used across a lot of different applications way beyond original L3VPN use intention.

I’m not sure what you are asking for here.

And I think there is many more common elements ... just think of recent geo coordinates shred by 4 WGs (if not more ...).

We wouldn’t include these as the format may change and these have not been accepted as WG documents.

We will include the label definition from ietf-mpls (you mentioned this during the actual RTG WG meeting).

    typedef mpls-label {
       type uint32 {
         range "0..1048575";
       }
       description
         “Type definition for an MPLS label";
     }

Thanks,
Acee

Thx,
R.

On Fri, Nov 18, 2016 at 5:56 AM, Acee Lindem (acee) <[email-masked]<mailto:[email-masked]>> wrote:
Hi Robert,

From: rtgwg <[email-masked]<mailto:[email-masked]>> on behalf of Robert Raszuk <[email-masked]<mailto:[email-masked]>>
Date: Thursday, November 17, 2016 at 8:13 PM
To: Routing WG <[email-masked]<mailto:[email-masked]>>
Subject: Draft-rtgyangdt-rtgwg-routing-types

Hi,

I have a question on the intention on how complete the document should be ?

As example on vpn section why RT is described and SOO is not mentioned ?

This was taken from one of the other models. Can you indicate what is missing from the syntax of the RT for Site of Origin (SOO)?

Similar why extended communities are mentioned and no format is defined for standard or cost communities also necessary for some vpn provisioning ?

We will check with the BGP and L3VPN model owners.

Similar I do not see defined format for static mpls labels ...

This could be something we could add.

For router-id is this per protocol, global or per vrf ?

This router-id  type could apply to any of these. It is the type as opposed to an instance of a router-id.

In other words is the intention here to only list cherry picked elements which are found in at least two protocols ?

Yes - this is to allow common definitions without having to redefine them or import entire models.

Thanks,
Acee

I think to make it complete much more work is needed ... provided I understand the main objective of this proposal.

Many thx,
R.